using salesbook.Maui.Core;
using salesbook.Shared.Core.Interface.System.Battery;

namespace salesbook.Maui;

public static class AndroidModule
{
    public static MauiAppBuilder RegisterAndroidAppServices(this MauiAppBuilder mauiAppBuilder)
    {
        mauiAppBuilder.Services.AddSingleton<IBatteryOptimizationManagerService, BatteryOptimizationManagerService>();
        return mauiAppBuilder;
    }
}